#include <stdio.h>
#include <float.h>

// this showcases floating point innaccuracy due to needing to represent them in binary

void main() {
  float ye = 6.28;
  printf("%.4f\n", ye);
  printf("%.8f\n", ye);
  printf("%.12f\n", ye);
}
